SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   IBM InfoSphere BigInsights Vendors:   IBM
IBM InfoSphere BigInsights HBase/Hive Bugs Lets Remote Users Access the Target System
SecurityTracker Alert ID:  1034365
SecurityTracker URL:  http://securitytracker.com/id/1034365
CVE Reference:   CVE-2015-1772, CVE-2015-1836   (Links to External Site)
Date:  Dec 9 2015
Impact:   User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.0, 3.0.0.1, 3.0.0.2
Description:   Two vulnerabilities were reported in IBM InfoSphere BigInsights. A remote user can gain access to the target system.

A remote user can gain exploit a flaw in the HiveServer2 interface to bypass authentication and gain access to the target system [CVE-2015-1772].

Systems with HiveServer2 configured to use LDAP authentication mode with simple unauthenticated or anonymous binds are affected.

A remote user can exploit a logic error in the processing of ZooKeeper access control lists to gain access to the target system and read or write HBase data or cause the service to become unavailable [CVE-2015-1836].

The vulnerabilities reside in the Apache HBase and Hive components.

Impact:   A remote user can gain access to the target system.
Solution:   IBM has issued a fix (IM-BigInsights-BigSQL-linuxamd64_CVE-2015-1772_CVE-2015-1836).

The IBM advisory is available at:

https://www-304.ibm.com/support/docview.wss?uid=swg21969546

Vendor URL:  www-304.ibm.com/support/docview.wss?uid=swg21969546 (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Red Hat Enterprise), Linux (SuSE)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC